use serde_derive::{Deserialize, Serialize};

#[derive(Serialize, Deserialize, Debug)]
pub struct LoggerConfig {
    pub level: String,
    pub time_format: String,
}

impl Default for LoggerConfig {
    fn default() -> Self {
        Self {
            level: String::from("info"),
            time_format: String::from("[%Y-%m-%d][%H:%M:%S]"),
        }
    }
}
